---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.nano_id_length'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.nano_id_length.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [NANO\_ID\_LENGTH](./sequelize.sequelizecrudrepository.nano_id_length.md)

## SequelizeCrudRepository.NANO\_ID\_LENGTH property

Length of the `nanoid` generated for defaultFn's `shortid` and `nanoid` aliases.

**Signature:**

```typescript
NANO_ID_LENGTH: number;
```

